Set grid connection
PUT
/config/gridconnection
const url = 'https://demo.evcc.io/api/config/gridconnection';const options = {method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '"3p4w"'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://demo.evcc.io/api/config/gridconnection \ --header 'Content-Type: application/json' \ --data '"3p4w"'Set the grid connection. 3p4w for three-phase four-wire grids with neutral (3 x 230/400 V), 3p3w for three-phase three-wire grids without neutral (3 x 230 V).
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
string
Example
3p3wResponses
Section titled “Responses”Success - Blank response
Invalid grid connection